<!doctype html>
<html>

<head>
  <meta name="generator" content="JSDoc 3.6.3">
  <meta charset="utf-8">
  <title>Class: BannerImage</title>
  <link rel="stylesheet" href="https://brick.a.ssl.fastly.net/Karla:400,400i,700,700i" type="text/css">
  <link rel="stylesheet" href="https://brick.a.ssl.fastly.net/Noto+Serif:400,400i,700,700i" type="text/css">
  <link rel="stylesheet" href="https://brick.a.ssl.fastly.net/Inconsolata:500" type="text/css">
  <link href="css/baseline.css" rel="stylesheet">
</head>

<body onload="prettyPrint()">
  <nav id="jsdoc-navbar" role="navigation" class="jsdoc-navbar">
    <div id="jsdoc-navbar-container">
      <div id="jsdoc-navbar-content">
        <a href="index.html" class="jsdoc-navbar-package-name">Home</a>
      </div>
    </div>
  </nav>
  <div id="jsdoc-body-container">
    <div id="jsdoc-content">
      <div id="jsdoc-content-container">
        <div id="jsdoc-main" role="main">
          <header class="page-header">
            <div class="symbol-detail-labels"><span class="label label-kind">class</span></div>
            <h1><small></small><span class="symbol-name">BannerImage</span></h1>
            <p class="source-link">Source: <a href="ads_banner_Banner.Image.js.html#source-line-5">ads/<wbr>banner/<wbr>Banner.<wbr>Image.<wbr>js:5</a></p>
            <dl class="dl-compact">
            </dl>
          </header>
          <section id="summary">
            <div class="summary-callout">
              <h2 class="summary-callout-heading">Property</h2>
              <div class="summary-content">
                <div class="summary-column">
                  <dl class="dl-summary-callout">
                    <dt><a href="BannerImage.html#observer">observer</a></dt>
                    <dd>
                    </dd>
                  </dl>
                </div>
                <div class="summary-column">
                </div>
                <div class="summary-column">
                </div>
              </div>
            </div>
            <div class="summary-callout">
              <h2 class="summary-callout-heading">Methods</h2>
              <div class="summary-content">
                <div class="summary-column">
                  <dl class="dl-summary-callout">
                    <dt><a href="BannerImage.html#mountIntersectionObserver">mountIntersectionObserver()</a></dt>
                    <dd>
                    </dd>
                  </dl>
                </div>
                <div class="summary-column">
                  <dl class="dl-summary-callout">
                    <dt><a href="BannerImage.html#onViewportEnter">onViewportEnter()</a></dt>
                    <dd>
                    </dd>
                  </dl>
                </div>
                <div class="summary-column">
                  <dl class="dl-summary-callout">
                    <dt><a href="BannerImage.html#onViewportLeave">onViewportLeave()</a></dt>
                    <dd>
                    </dd>
                  </dl>
                </div>
              </div>
            </div>
          </section>
          <section>
            <h2 id="BannerImage">new&nbsp;<span class="symbol-name">BannerImage</span><span class="signature"><span class="signature-params">()</span></span></h2>
            <p>pojedyncza grafika przekierowująca na adres po kliknięciu</p>
            <section>
              <h3>
                Example
              </h3>
              <div>
                <pre class="prettyprint"><code>&lt;BannerImage
  width&#x3D;&quot;300px&quot;
  height&#x3D;&quot;250px&quot;
  url&#x3D;&quot;http://example.com&quot;
  img&#x3D;&quot;http://placekitten.com/300/250&quot;
/&gt;</code></pre>
              </div>
            </section>
            <section>
              <h3>Properties</h3>
              <table class="jsdoc-details-table">
                <thead>
                  <tr>
                    <th>Name</th>
                    <th>Type</th>
                    <th>Optional</th>
                    <th>Description</th>
                  </tr>
                </thead>
                <tbody>
                  <tr>
                    <td>
                      <p>props</p>
                    </td>
                    <td>
                      <p>object</p>
                    </td>
                    <td>
                      <p>&nbsp;</p>
                    </td>
                    <td>
                      <p>zestaw właściwości komponentu</p>
                      <p>Values in <code>props</code> have the following properties:</p>
                      <table class="jsdoc-details-table">
                        <thead>
                          <tr>
                            <th>Name</th>
                            <th>Type</th>
                            <th>Optional</th>
                            <th>Description</th>
                          </tr>
                        </thead>
                        <tbody>
                          <tr>
                            <td>
                              <p>img</p>
                            </td>
                            <td>
                              <p>string</p>
                            </td>
                            <td>
                              <p>&nbsp;</p>
                            </td>
                            <td>
                              <p>adres wyświetlanej grafiki</p>
                            </td>
                          </tr>
                          <tr>
                            <td>
                              <p>url</p>
                            </td>
                            <td>
                              <p>string</p>
                            </td>
                            <td>
                              <p>&nbsp;</p>
                            </td>
                            <td>
                              <p>adres, na jaki ma przekierowywać reklama</p>
                            </td>
                          </tr>
                          <tr>
                            <td>
                              <p>fill</p>
                            </td>
                            <td>
                              <p>('cover' or 'contain')</p>
                            </td>
                            <td>
                              <p>Yes</p>
                            </td>
                            <td>
                              <p>sposób wypełnienia obszaru reklamy przez grafikę, jeżeli te się różnią proporcjami</p>
                              <p>Defaults to <code>cover</code>.</p>
                            </td>
                          </tr>
                          <tr>
                            <td>
                              <p>style</p>
                            </td>
                            <td>
                              <p>object</p>
                            </td>
                            <td>
                              <p>Yes</p>
                            </td>
                            <td>
                              <p>obiekt ze stylami inline</p>
                            </td>
                          </tr>
                          <tr>
                            <td>
                              <p>classNames</p>
                            </td>
                            <td>
                              <p>Array of string</p>
                            </td>
                            <td>
                              <p>Yes</p>
                            </td>
                            <td>
                              <p>dodatkowe klasy dla głównego elementu</p>
                            </td>
                          </tr>
                          <tr>
                            <td>
                              <p>width</p>
                            </td>
                            <td>
                              <p>string</p>
                            </td>
                            <td>
                              <p>&nbsp;</p>
                            </td>
                            <td>
                              <p>szerokość komponentu wraz z jednostką</p>
                            </td>
                          </tr>
                          <tr>
                            <td>
                              <p>height</p>
                            </td>
                            <td>
                              <p>string</p>
                            </td>
                            <td>
                              <p>&nbsp;</p>
                            </td>
                            <td>
                              <p>wysokość komponentu wraz z jednostką</p>
                            </td>
                          </tr>
                          <tr>
                            <td>
                              <p>onReady</p>
                            </td>
                            <td>
                              <p>function()</p>
                            </td>
                            <td>
                              <p>Yes</p>
                            </td>
                            <td>
                              <p>callback wywoływany, gdy komponent zamontował się poprawnie i wszystkie zasoby zostały załadowane</p>
                            </td>
                          </tr>
                          <tr>
                            <td>
                              <p>onViewportEnter</p>
                            </td>
                            <td>
                              <p>function()</p>
                            </td>
                            <td>
                              <p>Yes</p>
                            </td>
                            <td>
                              <p>callback wywoływany, gdy komponent pojawił się w obszarze viewportu</p>
                            </td>
                          </tr>
                          <tr>
                            <td>
                              <p>onViewportLeave</p>
                            </td>
                            <td>
                              <p>function()</p>
                            </td>
                            <td>
                              <p>Yes</p>
                            </td>
                            <td>
                              <p>callback wywoływany, gdy komponent opuścił obszar viewportu</p>
                            </td>
                          </tr>
                        </tbody>
                      </table>
                    </td>
                  </tr>
                  <tr>
                    <td>
                      <p>state</p>
                    </td>
                    <td>
                      <p>object</p>
                    </td>
                    <td>
                      <p>&nbsp;</p>
                    </td>
                    <td>
                      <p>zestaw stanów komponentu</p>
                      <p>Values in <code>state</code> have the following properties:</p>
                      <table class="jsdoc-details-table">
                        <thead>
                          <tr>
                            <th>Name</th>
                            <th>Type</th>
                            <th>Optional</th>
                            <th>Description</th>
                          </tr>
                        </thead>
                        <tbody>
                          <tr>
                            <td>
                              <p>lifecycle</p>
                            </td>
                            <td>
                              <p>string</p>
                            </td>
                            <td>
                              <p>&nbsp;</p>
                            </td>
                            <td>
                              <p>string reprezentujący bieżący cykl życia komponentu (initialized, ready)</p>
                            </td>
                          </tr>
                          <tr>
                            <td>
                              <p>preloading</p>
                            </td>
                            <td>
                              <p>number</p>
                            </td>
                            <td>
                              <p>&nbsp;</p>
                            </td>
                            <td>
                              <p>liczba zasobów aktualnie preloadowanych przez komponent</p>
                            </td>
                          </tr>
                        </tbody>
                      </table>
                    </td>
                  </tr>
                </tbody>
              </table>
            </section>
            <dl class="dl-compact">
              <dt>Extends</dt>
              <dd><a href="Banner.html">Banner</a></dd>
            </dl>
          </section>
          <section>
            <h2>Property</h2>
            <section>
              <h3 id="observer"><span class="symbol-name">observer</span></h3>
              <p>IntersectionObserver weryfikujacy obecność pojemnika w wiewporcie</p>
              <dl class="dl-compact">
                <dt>Inherited from</dt>
                <dd><a href="Banner.html#observer">Banner#observer</a></dd>
                <dt>See also</dt>
                <dd><a href="https://developer.mozilla.org/en-US/docs/Web/API/Intersection_Observer_API">https://developer.mozilla.org/en-US/docs/Web/API/Intersection_Observer_API</a></dd>
                <dd><a href="https://developers.google.com/web/updates/2019/02/intersectionobserver-v2">https://developers.google.com/web/updates/2019/02/intersectionobserver-v2</a></dd>
              </dl>
            </section>
            <h2>Methods</h2>
            <section>
              <h3 id="mountIntersectionObserver"><span class="symbol-name">mountIntersectionObserver</span><span class="signature"><span class="signature-params">()</span></span></h3>
              <p>inicjalizuje obiekt IntersectionObserver przypisany do głównego pojemnika komponentu</p>
              <dl class="dl-compact">
                <dt>Inherited from</dt>
                <dd><a href="Banner.html#mountIntersectionObserver">Banner#mountIntersectionObserver</a></dd>
              </dl>
              <h3 id="onViewportEnter"><span class="symbol-name">onViewportEnter</span><span class="signature"><span class="signature-params">()</span></span></h3>
              <p>wejście w obszar viewportu, zgodnie z ustawieniami IntersectionObservera</p>
              <dl class="dl-compact">
                <dt>Inherited from</dt>
                <dd><a href="Banner.html#onViewportEnter">Banner#onViewportEnter</a></dd>
              </dl>
              <h3 id="onViewportLeave"><span class="symbol-name">onViewportLeave</span><span class="signature"><span class="signature-params">()</span></span></h3>
              <p>wyjście z obszaru viewportu, zgodnie z ustawieniami IntersectionObservera</p>
              <dl class="dl-compact">
                <dt>Inherited from</dt>
                <dd><a href="Banner.html#onViewportLeave">Banner#onViewportLeave</a></dd>
              </dl>
            </section>
          </section>
        </div>
      </div>
      <nav id="jsdoc-toc-nav" role="navigation"></nav>
    </div>
  </div>
  <footer id="jsdoc-footer" class="jsdoc-footer">
    <div id="jsdoc-footer-container">
      <p>
        Generated by <a href="https://github.com/jsdoc3/jsdoc">JSDoc</a> 3.6.3 on August 23, 2019.
      </p>
    </div>
  </footer>
  <script src="scripts/jquery.min.js"></script>
  <script src="scripts/jquery.cookie.js"></script>
  <script src="scripts/tree.jquery.js"></script>
  <script src="scripts/prettify.js"></script>
  <script src="scripts/jsdoc-toc.js"></script>
  <script src="scripts/linenumber.js"></script>
  <script src="scripts/scrollanchor.js"></script>
</body>

</html>